Create Object
Preview. Usable today, but this endpoint can change before it is stable, without a new Kite-Version. Changes are announced before they ship.
Register a rigid pick-up object (USD, or GLB/glTF/OBJ converted on the worker). Validation runs on a GPU.
curl --request POST \
--url https://api.kiteml.com/v1/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"usd_uri": "<string>",
"glb_uri": "<string>",
"upload": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 2
},
"scale": "<unknown>",
"mass_kg": 500,
"tags": [
"<string>"
],
"up_axis": "<string>",
"rotate_deg": [
123
]
}
'import requests
url = "https://api.kiteml.com/v1/objects"
payload = {
"name": "<string>",
"description": "<string>",
"usd_uri": "<string>",
"glb_uri": "<string>",
"upload": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 2
},
"scale": "<unknown>",
"mass_kg": 500,
"tags": ["<string>"],
"up_axis": "<string>",
"rotate_deg": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
usd_uri: '<string>',
glb_uri: '<string>',
upload: {filename: '<string>', content_type: '<string>', size_bytes: 2},
scale: '<unknown>',
mass_kg: 500,
tags: ['<string>'],
up_axis: '<string>',
rotate_deg: [123]
})
};
fetch('https://api.kiteml.com/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'usd_uri' => '<string>',
'glb_uri' => '<string>',
'upload' => [
'filename' => '<string>',
'content_type' => '<string>',
'size_bytes' => 2
],
'scale' => '<unknown>',
'mass_kg' => 500,
'tags' => [
'<string>'
],
'up_axis' => '<string>',
'rotate_deg' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/objects"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"usd_uri\": \"<string>\",\n \"glb_uri\": \"<string>\",\n \"upload\": {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 2\n },\n \"scale\": \"<unknown>\",\n \"mass_kg\": 500,\n \"tags\": [\n \"<string>\"\n ],\n \"up_axis\": \"<string>\",\n \"rotate_deg\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/objects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"usd_uri\": \"<string>\",\n \"glb_uri\": \"<string>\",\n \"upload\": {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 2\n },\n \"scale\": \"<unknown>\",\n \"mass_kg\": 500,\n \"tags\": [\n \"<string>\"\n ],\n \"up_axis\": \"<string>\",\n \"rotate_deg\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"usd_uri\": \"<string>\",\n \"glb_uri\": \"<string>\",\n \"upload\": {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 2\n },\n \"scale\": \"<unknown>\",\n \"mass_kg\": 500,\n \"tags\": [\n \"<string>\"\n ],\n \"up_axis\": \"<string>\",\n \"rotate_deg\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
A Kite API key (kite_...), from Platform API → Keys in the dashboard.
Headers
The dated contract your code was written against. Without it you get 2026-09-27; every response says which version served it.
2026-09-27 Body
1602000gs:// or https:// URL of a .usd/.usda/.usdc/.usdz
gs:// or https:// URL of a .glb/.gltf/.obj (converted to USD on the worker)
ask for a signed PUT URL instead of passing a URI
Show child attributes
Show child attributes
uniform number or [sx, sy, sz]
0 < x <= 1000'Y' or 'Z' — how the geometry is authored (default: as the file declares)
extra [rx, ry, rz] rotation in degrees
Response
Successful Response
curl --request POST \
--url https://api.kiteml.com/v1/objects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"usd_uri": "<string>",
"glb_uri": "<string>",
"upload": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 2
},
"scale": "<unknown>",
"mass_kg": 500,
"tags": [
"<string>"
],
"up_axis": "<string>",
"rotate_deg": [
123
]
}
'import requests
url = "https://api.kiteml.com/v1/objects"
payload = {
"name": "<string>",
"description": "<string>",
"usd_uri": "<string>",
"glb_uri": "<string>",
"upload": {
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 2
},
"scale": "<unknown>",
"mass_kg": 500,
"tags": ["<string>"],
"up_axis": "<string>",
"rotate_deg": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
usd_uri: '<string>',
glb_uri: '<string>',
upload: {filename: '<string>', content_type: '<string>', size_bytes: 2},
scale: '<unknown>',
mass_kg: 500,
tags: ['<string>'],
up_axis: '<string>',
rotate_deg: [123]
})
};
fetch('https://api.kiteml.com/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kiteml.com/v1/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'usd_uri' => '<string>',
'glb_uri' => '<string>',
'upload' => [
'filename' => '<string>',
'content_type' => '<string>',
'size_bytes' => 2
],
'scale' => '<unknown>',
'mass_kg' => 500,
'tags' => [
'<string>'
],
'up_axis' => '<string>',
'rotate_deg' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kiteml.com/v1/objects"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"usd_uri\": \"<string>\",\n \"glb_uri\": \"<string>\",\n \"upload\": {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 2\n },\n \"scale\": \"<unknown>\",\n \"mass_kg\": 500,\n \"tags\": [\n \"<string>\"\n ],\n \"up_axis\": \"<string>\",\n \"rotate_deg\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kiteml.com/v1/objects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"usd_uri\": \"<string>\",\n \"glb_uri\": \"<string>\",\n \"upload\": {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 2\n },\n \"scale\": \"<unknown>\",\n \"mass_kg\": 500,\n \"tags\": [\n \"<string>\"\n ],\n \"up_axis\": \"<string>\",\n \"rotate_deg\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kiteml.com/v1/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"usd_uri\": \"<string>\",\n \"glb_uri\": \"<string>\",\n \"upload\": {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size_bytes\": 2\n },\n \"scale\": \"<unknown>\",\n \"mass_kg\": 500,\n \"tags\": [\n \"<string>\"\n ],\n \"up_axis\": \"<string>\",\n \"rotate_deg\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"details": {}
}
}